@rem uf_rxsfax.bat
@rem Script to capture SX.e output designed for faxing and emailing via UnForm
@rem Creates input file of a print stream + FF + eType + coverpage + FF and submits to UnForm
@rem Written by Synergetic Data Systems Inc., last updated 10/19/2014 -- BCJ @ SDSI
@rem to run parallel with rxsfax.sh, simply run this script near the top of rxsfax.sh, eg.
@rem 	uf_rxsfax.sh $1 $2 $3

@set UFTMP=d:\nxttest\rd\tmp

@rem %1=type, which may end with :debug, which is not passed
@rem %2=coverpage which ends with a FF
@rem %3=report text stream

@REM  this line will tokenize the date 

for /f "delims=:. tokens=1-4" %%t in ("%TIME: =0%") do (
        set MYDATE=%YR%%MTH%%DAY%-%%t%%u%%v%%w%random%
    )

@REM This line gives us the filename from SXE with no path or punctuation  
for /f "delims=\: tokens=1-8" %%m in ("%2") do (
        set UNIQNUM=%%q%%r%%s
    )

@set LocalErrorFile=c:/sdsi/uf90/server/temp/ufs_%MYDATE%.err
@set SubmissionFile=%UNIQNUM%.unform
@set RuleFile=c:\sdsi\uf90\server\sxe-10x-v90.rul
@set Server=%COMPUTERNAME%
@set Output=NUL
@set UnFormClient=uf90c

@type %3 >%SubmissionFile%
@echo %1 >>%SubmissionFile%
@type %2 >>%SubmissionFile%

@REM Debugging section.  Uncomment this out when troubleshooting  

@REM @echo %TIME% %2 %3  %SubmissionFile%   >> %UFTMP%\uffaxsave\bakfiles.log
@REM @copy %3 %UFTMP%\uffaxsave\
@REM @copy %2 %UFTMP%\uffaxsave\
@REM @copy %SubmissionFile% %UFTMP%\uffaxsave\%SubmissionFile%.bak

@REM End of Debugging section

@rem submit to unform
@%UnFormClient% -quiet -i "%SubmissionFile%" -f "%RuleFile%" -server "%Server%" -o "%Output%" -e "%LocalErrorFile%" -timeout 6000 -serialize 

@rem Clean up work files
@del %SubmissionFile% 2>NUL
@del %LocalErrorFile% 2>NUL
