@rem uf_rxsfax.bat
@rem Script to capture SX.e output designed for faxing and emailing via UnForm
@rem Creates input file of a print stream + FF + eType + coverpage + FF and submits to UnForm
@rem Written by Synergetic Data Systems Inc., last updated 10/19/2014 -- BCJ @ SDSI
@rem to run parallel with rxsfax.sh, simply run this script near the top of rxsfax.sh, eg.
@rem 	uf_rxsfax.sh $1 $2 $3

@rem %1=type, which may end with :debug, which is not passed
@rem %2=coverpage which ends with a FF
@rem %3=report text stream

@rem echo off 
@rem echo %DATE% %TIME%
@set MTH=%DATE:~4,2%
@set DAY=%DATE:~7,2%
@set YR=%DATE:~10,4%
@set HR=%TIME:~0,2%
@set HR0=%TIME:~0,1%
@if "%HR0%"==" " set HR=0%TIME:~1,1%
@set MIN=%TIME:~3,2%
@set SEC=%TIME:~6,2%
@REM @set MYDATE=%YR%%MTH%%DAY%-%HR%%MIN%%SEC%

for /f "delims=:. tokens=1-4" %%t in ("%TIME: =0%") do (
        set MYDATE=%YR%%MTH%%DAY%-%%t%%u%%v%%w%random%
    )

@set LocalErrorFile=c:\sdsi\uf90\server\temp\ufs_%MYDATE%.err

@set SubmissionFile=%MYDATE%
@set RuleFile=c:\sdsi\uf90\server\sxe-10x-v90.rul
@set Server=%COMPUTERNAME%
@REM @set Output=NUL
@set Output=%1
@set UnFormClient=uf90c

@type %3 >%SubmissionFile%
@type %2 >>%SubmissionFile%

@rem submit to unform
@%UnFormClient% -quiet -i "%SubmissionFile%" -f "%RuleFile%" -server "%Server%" -o %Output% -e "%LocalErrorFile%"  -timeout 6000 -serialize 

@rem Clean up work files
@del %SubmissionFile% 2>NUL
@del %LocalErrorFile% 2>NUL

